<?php

//////////////////////////////////////////////////////////////
//===========================================================
// emailtemp_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function editemailtemp_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $emailtemp, $ll, $done, $notice, $tempname, $no_disable_templates;

softheader($l['<title>']);

echo '

<div class="bg">
<div class="row my-3 mx-auto">
<div class="col-12">
<h4 class="text-dark"><i class="fas fa-paper-plane"></i> '.$l['edittemp'].'</h4>
</div>
</div>';

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

// We will load the tiny MCE if html is enabled
echo '
<script type="text/javascript" src="'.$theme['url'].'/js/tinymce/tinymce.min.js"></script>
';

// Are we allowed to edit
if(!empty($notice)){
	show_alert($l['action_not_applicable'],"2");
	echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['action_not_applicable'].'</div>';
}else{

echo '<form accept-charset="'.$globals['charset'].'" name="editemailtemp" method="post" action="" class="form-horizontal">

<div class="row mx-auto w-100 my-3">
	<div class="col-sm-3"><label class="control-label">'.$l['subject'].'</label></div>
	<div class="col-sm-9"><input type="text" class="form-control" name="tempsub" value="'.htmlizer($ll['title']).'" size="73"></div>
</div>
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-3"><label class="control-label">'.$l['content'].'</label></div>
	<div class="col-sm-9">
		<textarea  cols="70" class="form-control" name="tempcontent" rows="15" id="tempcontent">'.htmlizer($ll['body']).'</textarea>
	</div>
</div>';
$html_flag = ($ll['mail_type'] == 'html' ? 'checked=checked' : '');
echo'
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-3">
		<label class="control-label">'.$l['mail_type'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mail_type_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	
	<div class="col-sm-9">
		'.get_checkbox('mail_type', '', 'mail_type', array('chk_it' => 1), 1, '', array('onchange="load_tinymce();"', $html_flag)).'
	</div>
</div>';

if(!in_array($tempname, $no_disable_templates)){
	
	$html_flag = (!empty($ll['is_disable']) ? 'checked=checked' : '');
	echo'
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-3">
			<label class="control-label">'.$l['temp_is_disable'].'</label>
		</div>
	
		<div class="col-sm-9">
			'.get_checkbox('is_disable', '', 'is_disable', array('chk_it' => 1), 1,'', array($html_flag)).'
		</div>
	</div>';
	
}

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[
	
	function confirm_reset(){
		showalert("'.$l['reset_confirm'].'" ,"3" ,function(confirm){
			if(confirm == false){
			return false;
			}else{
				window.location = window.location+"&reset='.$tempname.'";
			}
		});
	}
	
	function load_tinymce(){
		
		if($("#mail_type").prop("checked") == true){
			
			var data = $("#tempcontent").val().replace(/\n/g, "<br>");
			$("#tempcontent").val(data);
			tinymce.init({
				selector:"textarea",
				plugins: [
					"advlist autolink lists link image charmap print preview hr anchor pagebreak",
					"searchreplace wordcount visualblocks visualchars code fullscreen",
					"insertdatetime nonbreaking save table contextmenu directionality",
					"emoticons template paste textcolor"
				],
				toolbar1: "insertfile undo redo | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent blockquote| link image",
				toolbar2: "preview media | forecolor backcolor emoticons | formatselect fontselect fontsizeselect ",
				force_br_newlines: false,
				force_p_newlines: false,
				forced_root_block: false,
			});
			
		}else{
			var data = tinymce.get("tempcontent").getContent().replace(/(<br>|<br \/>)/g, "\n");
			tinymce.remove("textarea");
			$("#tempcontent").val(data);
		}
		
	};
	
	$(document).ready(function(){
		load_tinymce();
	});
	
	// ]]></script>';
echo '

<div class="row mx-auto w-100 my-3">
	<div class="col-sm-3"><label class="control-label"></label></div>
	<div class="col-sm-9">
		'.$l['mail_'.$tempname.'_info'].'
	</div>
</div>

<br/>
<center>
	<input type="submit" name="savetemplate" value="'.$l['savetemp'].'" class="go_btn"/> &nbsp;
	<input type="button" name="resettemplate" value="'.$l['reset_template'].'" class="go_btn" onClick="confirm_reset();"/><br /><br />
	<a href="'.$globals['index'].'act=emailtemp" class="link_btn">'.$l['temp_overview'].'</a>
</center>

	</br>';
	
	echo '<br /><br />
		
</form>';					
			
}

echo '</div>';
softfooter();

}

?>