<?php

//////////////////////////////////////////////////////////////
//===========================================================
// admin_acl_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 2.2.5
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       0th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function add_admin_acl_theme(){

global $theme, $globals, $cluster, $servers, $user, $l, $done, $error;

softheader($l['<title>']);

echo '<style>label{font-weight: normal;padding-top: 1px;}</style>
<div class="bg">
<div class="row my-3 mx-auto">
<div class="col-10">
<h4 class="text-dark"><i class="fas fa-users"></i> '.$l['header'].'</h4>
</div>
<div class="col-2 text-right">
<span><a href="'.$globals['docs'].'administrator-acl/" target="_blank" tooltip="'.$l['wiki_help'].'"><i class="icon-help text-dark" ></i></a></span>
</div>
</div>';

error_handle($error);

if(!is_allowed('add_admin_acl')){
	softfooter();
	return;
}

if(!empty($done)){
	show_alert(($l['done'].'&nbsp;<a href="'.$globals['ind'].'act=admin_acl">'.$l['back_admin_acl'].'</a>'),'0' ,'admin_acl');
	
	//echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['done'].'&nbsp;<a href="'.$globals['ind'].'act=admin_acl">'.$l['back_admin_acl'].'</a></div>';
}else{

echo '
<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function toggle_div(id){
	if ($("#"+id).is(":hidden")){
		$("#"+id).slideDown("slow");
		$("#"+id+"-label").html("-");
	}else{
		$("#"+id).slideUp("slow");
		$("#"+id+"-label").html("+");
	}
}

function plus_onmouseover(id){
	$("#"+id).attr("src", "'.$theme['images'].'admin/plus_hover.gif");
}

function plus_onmouseout(id){
$("#"+id).attr("src", "'.$theme['images'].'admin/plus.gif");
}

// ]]></script>
<form accept-charset="'.$globals['charset'].'" name="add_admin_acl" method="post" action="" class="form-horizontal">
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-1">
			<label class="control-label" class="mt-0">'.$l['name'].'</label></div>
		<div class="col-sm-6 pull-left">
			<input type="text" class="form-control w-50" name="name" id="name" size="30" value="'.POSTval('name', '').'"/></div>
		<div class="col-sm-2"></div>
	</div>
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-12">
		'.get_checkbox('select_all', $l['checkall'], 'select_all', array('chk_it' => 1), '', 'select_all').'
	</div>
</div>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'admindash\');"><span id="admindash-label">-</span>&nbsp;'.$l['cat_admin_dash'].'</div>
	<div id="admindash" class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_cluster_statistics', $l['cluster_statistics']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_server_statistics', $l['server_statistics']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'vs\');"><span id="vs-label">-</span>&nbsp;'.$l['cat_vs'].'</div>
	<div id="vs" class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_vs', $l['listvs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_vsresources', $l['vsresources']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addvs', $l['addvs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_rebuildvs', $l['rebuildvs']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_editvs', $l['editvs']).'
			</div>		
			<div class="col-sm-3">
				'.get_checkbox('act_deletevs', $l['deletevs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_suspendvs', $l['suspendvs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_unsuspendvs', $l['unsuspendvs']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_vnc', $l['vsvnc']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_migrate', $l['migrate']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_ha', $l['ha']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'ippool\');"><span id="ippool-label">-</span>&nbsp;'.$l['cat_ippools'].'</div>
	<div id="ippool"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_ippool', $l['ippools']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addippool', $l['addippool']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editippool', $l['editippool']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deleteippool', $l['deleteippool']).'
			</div>		
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_ips', $l['ips']).'
			</div>		
			<div class="col-sm-3">
				'.get_checkbox('act_addips', $l['addips']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editips', $l['editips']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deleteips', $l['deleteips']).'
			</div>
		</div>
		<br/>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'servers\');"><span id="servers-label">-</span>&nbsp;'.$l['cat_servers'].'</div>
	<div id=servers  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_servers', $l['servers']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addserver', $l['addserver']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editserver', $l['editserver']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deleteserver', $l['deleteserver']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_sg', $l['sg']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addsg', $l['addsg']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editsg', $l['editsg']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletesg', $l['deletesg']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_manageserver', $l['manageserver']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_rebootserver', $l['reboot']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'storage\');"><span id="storage-label">-</span>&nbsp;'.$l['cat_storage'].'</div>
	<div id="storage"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_storage', $l['storage']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addstorage', $l['addstorage']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editstorage', $l['editstorage']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletestorage', $l['deletestorage']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'backups\');"><span id="backups-label">-</span>&nbsp;'.$l['cat_backups'].'</div>
	<div id="backups"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_databackup', $l['backups']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_performdatabackup', $l['perf_db_backups']).'	
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_dldatabackup', $l['dl_db_bakcups']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletedatabackup', $l['del_db_backups']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_vpsbackupsettings', $l['edit_vps_backups']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_vpsbackups', $l['vps_backups']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_restorevpsbackup', $l['restore_vs_backups']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletevpsbackup', $l['delete_vs_backups']).'
			</div>		
		</div>
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_backupservers', $l['list_backupservers']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addbackupserver', $l['add_backupserver']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editbackupservsers', $l['edit_backupserver']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletebackupserver', $l['delete_backupserver']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_backup_plans', $l['list_backup_plans']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addbackup_plan', $l['addbackup_plan']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editbackup_plan', $l['editbackup_plan']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletebackup_plan', $l['deletebackup_plan']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'plans\');"><span id="plans-label">-</span>&nbsp;'.$l['cat_plans'].'</div>
	<div id="plans"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_plans', $l['plans']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addplan', $l['addplan']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editplan', $l['editplan']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deleteplan', $l['deleteplan']).'
			</div>		
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_dnsplans', $l['dnsplans']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_adddnsplan', $l['adddnsplan']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editdnsplan', $l['editdnsplan']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletednsplan', $l['deletednsplan']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_add_dnsrecord', $l['add_dnsrecord']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'users\');"><span id="users-label">-</span>&nbsp;'.$l['cat_users'].'</div>
	<div id="users"   class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_users', $l['users']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_adduser', $l['adduser']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_edituser', $l['edituser']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deleteuser', $l['deleteuser']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_suspend_user', $l['suspend_user']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_unsuspend_user', $l['unsuspend_user']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'media\');"><span id="media-label">-</span>&nbsp;'.$l['cat_media'].'</div>
	<div id="media"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_ostemplates', $l['templates']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_os', $l['templatebrowser']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addtemplate', $l['addtemplates']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_edittemplate', $l['edittemplates']).'
			</div>		
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_deletetemplate', $l['deltetemplates']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_createtemplate', $l['createtemplate']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_iso', $l['isos']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addiso', $l['addiso']).'
			</div>	
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_editiso', $l['editisos']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deleteiso', $l['deleteiso']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_mg', $l['mgs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addmg', $l['addmgs']).'
			</div>		
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_editmg', $l['editmg']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletemg', $l['deletemgs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_list_distros', $l['list_distros']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_add_distro', $l['add_distro']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_euiso', $l['euiso']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_synciso', $l['sync_iso']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'recipe_div\');"><span id="recipe_div-label">-</span>&nbsp;'.$l['cat_recipe'].'</div>
	<div id="recipe_div"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_recipes', $l['recipes']).'
			</div>		
			<div class="col-sm-3">
				'.get_checkbox('act_addrecipe', $l['addrecipe']).'
			</div>		
			<div class="col-sm-3">
				'.get_checkbox('act_editrecipe', $l['editrecipe']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'config\');"><span id="config-label">-</span>&nbsp;'.$l['cat_config'].'</div>
	<div id="config"   class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_config', $l['edit_settings']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_emailsettings', $l['edit_emailsettings']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_adminacl', $l['admin_acl']).'
			</div>		
			<div class="col-sm-3">
				'.get_checkbox('act_add_admin_acl', $l['add_admin_acl']).'
			</div>		
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_edit_admin_acl', $l['edit_admin_acl']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_delete_admin_acl', $l['delete_admin_acl']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_serverinfo', $l['serverinfo']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_licenseinfo', $l['licenseinfo']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_hostname', $l['hostname']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_changehostname', $l['edithostname']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_maintenance', $l['maintenance']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_kernconfig', $l['kern_config']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_updates', $l['updates']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_emailtemps', $l['email_temps']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editemailtemps', $l['edit_email_temps']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_ssl', $l['ssl']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_editssl', $l['editssl']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_createssl', $l['createssl']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_firewall', $l['firewall']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_importvs', $l['importvs']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_phpmyadmin', $l['pma']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_ssh', $l['ssh']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_defaultvsconf', $l['dif_vps_config']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_multivirt', $l['multivirt']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_twofactauth', $l['twofactauth']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_orphaneddisk', $l['orphaneddisk']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deleteorphaneddisk', $l['deleteorphaneddisk']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_webuzo', $l['webuzo']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'pdns\');"><span id="pdns-label">-</span>&nbsp;'.$l['cat_pdns'].'</div>
	<div id="pdns"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_pdns', $l['pdns']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_managepdns', $l['manage_pdns']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addpdns', $l['add_pdns']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_editpdns', $l['edit_pdns']).'
			</div>		
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_deletepdns', $l['delete_pdns']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_rdns', $l['rdns']).'
			</div>
		</div>
	</div>
</div>
<br/>
<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'billing\');"><span id="billing-label">-</span>&nbsp;Billing</div>
	<div id="billing"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_billing', $l['billing_set']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_resource_pricing', $l['resource_billing']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_invoices', $l['invoices']).'
			</div>	
			<div class="col-sm-3">
				'.get_checkbox('act_transactions', $l['transaction']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_addinvoice', $l['add_invoice']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_addtransaction', $l['add_transaction']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'procs\');"><span id="procs-label">-</span>&nbsp;'.$l['cat_procs'].'</div>
	<div id="procs"  class="togglediv w-100">
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_procs', $l['manage_procs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_services', $l['manage_services']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_webserver', $l['restart_web']).'
			</div>	
			<div class="col-sm-3">
				'.get_checkbox('act_network', $l['restart_net']).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_sendmail', $l['restart_mail']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_mysqld', $l['restart_mysql']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_iptables', $l['restart_iptables']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'logs\');"><span id="logs-label">-</span>&nbsp;'.$l['cat_logs'].'</div>
	<div id="logs"  class="togglediv w-100"> 
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_logs', $l['logs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deletelogs', $l['deletelogs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_userlogs', $l['userlog']).'
			</div>	
			<div class="col-sm-3">
				'.get_checkbox('act_deleteuserlogs', $l['deleteuserlogs']).'
			</div>			
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-3">
				'.get_checkbox('act_loginlogs', $l['loginlogs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deleteloginlogs', $l['delteloginlogs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_iplogs', $l['iplogs']).'
			</div>
			<div class="col-sm-3">
				'.get_checkbox('act_deliplogs', $l['deliplogs']).'
			</div>
		</div>
	</div>
</div>
<br/>

<div class="cat-wrapper">
	<div class="roundheader" onclick="toggle_div(\'domain_frwd\');"><span id="domain_frwd-label">-</span>&nbsp;'.$l['cat_haproxy'].'</div>
	<div id="domain_frwd"  class="togglediv w-100"> 
		<div class="row mx-auto w-100 my-3">		
			<div class="col-sm-3">
				'.get_checkbox('act_haproxy', $l['haproxy']).'
			</div>
		</div>
	</div>
</div>

<br /><br /><br />

<center><input type="submit" name="add_admin_acl" value="'.$l['save'].'" class="go_btn"></center>
</form>
<br />

</div>';
}

softfooter();
}
?>