<?php

//////////////////////////////////////////////////////////////
//===========================================================
// emailconfig_theme.php
//===========================================================
// SOFTACULOUS 
// Version : 1.1
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       10th Jan 2009
// Time:       21:00 hrs
// Site:       http://www.softaculous.com/ (SOFTACULOUS)
// ----------------------------------------------------------
// Please Read the Terms of use at http://www.softaculous.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Inc.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function emailconfig_theme(){

global $theme, $globals, $cluster, $l, $langs, $skins, $error, $saved , $done, $info;

softheader($l['<title>']);

echo '
<script type="text/javascript">

	$(document).ready(function(){	
		change_email_opt();
	});

	function change_email_opt(){
		var val = $("#mail_type option:selected").attr("value");
		$(".smtpmail").css("display", "none");
		if(val == 0){
			$(".smtpmail").show();
		}
	}

</script>
<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-10">
		<h4 class="text-dark"><i class="fas fa-wrench"></i> '.$l['heading'].'</h4>
	</div>
	<div class="col-2 text-right">
		<span><a href="'.$globals['docs'].'configure-email-settings/" target="_blank" tooltip="'.$l['wiki_help'].'"><i class="icon-help text-dark" ></i></a></span>
	</div>
</div>';

error_handle($error, '100%');

if(!empty($done)){
	show_alert($l['change_final']);
}

// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){
	show_alert($l['server_status_'.$hypervisor_status],"1");
	echo '<div class="e_notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}else{


echo '<div id="form-container">
<form accept-charset="'.$globals['charset'].'" name="editemailconfigsettings" method="post" action="" class="form-horizontal">

<div class="row mx-auto w-100 my-3">
	<div class="col-sm-4">
		<label class="control-label">'.$l['mailmethod'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mailmethod_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-sm-4">
		<select class="custom-select" name="mail" onchange="change_email_opt();" id="mail_type">
			<option value="1" '.(POSTval('mail') == '1' ? 'selected="selected"' : ($info['mail'] == 1 ? 'selected="selected"' : '')).'>PHP Mail</option>
			<option value="0" '.(POSTval('mail') == '0' ? 'selected="selected"' : ($info['mail'] == 0 ? 'selected="selected"' : '')).'>SMTP</option>
		</select>
	</div>
</div>

<div class="row mx-auto w-100 my-3 smtpmail">
	<div class="col-sm-4">
		<label class="control-label">'.$l['smtp_server'].'</label>
	</div>
	<div class="col-sm-4">
		<input type="text" class="form-control" name="mail_server" size="30" value="'.POSTval('mail_server', $info['mail_server']).'" />
		<span class="help-block"></span>
	</div>
</div>

<div class="row mx-auto w-100 my-3 smtpmail">
	<div class="col-sm-4">
		<label class="control-label">'.$l['smtp_port'].'</label>
	</div>
	<div class="col-sm-4">
		<input type="number" min="0" class="form-control" name="mail_port" size="30" value="'.POSTval('mail_port', $info['mail_port']).'" />
		<span class="help-block"></span>
	</div>
</div>

<div class="row mx-auto w-100 my-3 smtpmail">
	<div class="col-sm-4">
		<label class="control-label">'.$l['smtp_user'].'</label>
	</div>
	<div class="col-sm-4">
		<input type="text" class="form-control" name="mail_user" size="30" value="'.POSTval('mail_user', $info['mail_user']).'" />
		<span class="help-block"></span>
	</div>
</div>

<div class="row mx-auto w-100 my-3 smtpmail">
	<div class="col-sm-4">
		<label class="control-label">'.$l['smtp_pass'].'</label>
	</div>
	<div class="col-sm-4">
		<input type="password" class="form-control" name="mail_pass" size="30" value="'.POSTval('mail_pass', $info['mail_pass']).'" />
		<span class="help-block"></span>
	</div>
</div>

<div class="row mx-auto w-100 my-3 smtpmail">
	<div class="col-4">
		<label class="control-label">'.$l['smtp_secure'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['smtp_secure_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-4" id="radio_secure">
		<div class="row mx-auto w-100">
			<div class="col-4 p-0">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="secure_none" value="0" name="mail_smtp_secure" '.POSTradio('mail_smtp_secure', 0, $info['mail_smtp_secure']).'>
					<span class="custom-control-label" for="secure_none">None</span>
				</label> 
			</div>
			<div class="col-4 p-0">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="secure_ssl" value="1" name="mail_smtp_secure" '.POSTradio('mail_smtp_secure', 1, $info['mail_smtp_secure']).'>
					<span class="custom-control-label" for="secure_ssl">SSL</span>
				</label>
			</div>
			<div class="col-4 p-0">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="secure_starttls" value="2" name="mail_smtp_secure" '.POSTradio('mail_smtp_secure', 2, $info['mail_smtp_secure']).'>
					<span class="custom-control-label" for="secure_starttls">STARTTLS</span>
				</label>
			</div>	
		</div>		
	</div>
</div>

<div class="row mx-auto w-100 my-3 smtpmail">
	<div class="col-sm-4">
		<label class="control-label">'.$l['mail_connect_timeout'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mail_connect_timeout_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-sm-4">
		<input type="number" class="form-control" name="mail_connect_timeout" size="30" value="'.POSTval('mail_connect_timeout', $info['mail_connect_timeout']).'" />
		<span class="help-block"></span>
	</div>
</div>

<div class="row mx-auto w-100 my-3 smtpmail">
	<div class="col-4">
		<label class="control-label">'.$l['mail_debug'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mail_debug_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-4">
		'.get_checkbox('mail_debug', '', '', array('chk_it' => 1, 'val' => $info['mail_debug'])).'
	</div>
</div>

<div class="row mx-auto w-100 my-3">
	<div class="col-4">
		<label class="control-label">'.$l['disable_email'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_email_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
	</div>
	<div class="col-4">
		'.get_checkbox('disable_email', '', '', array('chk_it' => 1, 'val' => $info['disable_email'])).'
	</div>
</div>

</div>
<br />
<p align="center"><input type="submit" name="editemailconfigsettings" value="'.$l['edit_settings'].'" class="go_btn"/></p>
</form>';

}

echo '</div>';

softfooter();

}

?>